Admin Keys - Regenerate

Regenerates either the primary or secondary admin API key. You can only regenerate one key at a time.

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Search/searchServices/{searchServiceName}/regenerateAdminKey/{keyKind}?api-version=2026-03-01-preview

URI Parameters

Name In Required Type Description
keyKind
path True

AdminKeyKind

Specifies which key to regenerate. Valid values include 'primary' and 'secondary'.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

searchServiceName
path True

string

pattern: ^(?=.{2,60}$)[a-z0-9][a-z0-9]+(-[a-z0-9]+)*$

The name of the Azure AI Search service associated with the specified resource group.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Header

Name Required Type Description
x-ms-client-request-id

string (uuid)

A client-generated GUID value that identifies this request. If specified, this will be included in response information as a way to track the request.

Responses

Name Type Description
200 OK

AdminKeyResult

Azure operation completed successfully.

Other Status Codes

CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

SearchRegenerateAdminKey

Sample request

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/regenerateAdminKey/primary?api-version=2026-03-01-preview

Sample response

{
  "primaryKey": "<your primary admin API key>",
  "secondaryKey": "<your secondary admin API key>"
}

Definitions

Name Description
AdminKeyKind
AdminKeyResult

Response containing the primary and secondary admin API keys for a given Azure AI Search service.

CloudError

Contains information about an API error.

CloudErrorBody

Describes a particular API error with an error code and a message.

AdminKeyKind

Value Description
primary

The primary API key for the search service.

secondary

The secondary API key for the search service.

AdminKeyResult

Response containing the primary and secondary admin API keys for a given Azure AI Search service.

Name Type Description
primaryKey

string

The primary admin API key of the search service.

secondaryKey

string

The secondary admin API key of the search service.

CloudError

Contains information about an API error.

Name Type Description
error

CloudErrorBody

Describes a particular API error with an error code and a message.

message

string

A brief description of the error that hints at what went wrong (for details/debugging information refer to the 'error.message' property).

CloudErrorBody

Describes a particular API error with an error code and a message.

Name Type Description
code

string

An error code that describes the error condition more precisely than an HTTP status code. Can be used to programmatically handle specific error cases.

details

CloudErrorBody[]

Contains nested errors that are related to this error.

message

string

A message that describes the error in detail and provides debugging information.

target

string

The target of the particular error (for example, the name of the property in error).